=== debian/changelog ===
libvistaio (1.2.14-1) unstable; urgency=low

  * Initial packaging (Closes:  #694434)

 -- Gert Wollny <gw.fossdev@gmail.com>  Tue, 27 Nov 2012 17:28:58 +0100
