=== debian/changelog ===
libvistaio (1.2.16-1) unstable; urgency=low

  * new upstream release 
  * corrected debian/copyright entries (Closes: #726778)

 -- Gert Wollny <gw.fossdev@gmail.com>  Tue, 22 Oct 2013 11:30:11 +0200

libvistaio (1.2.15-1) unstable; urgency=low

  * New upstream release that fixes spelling issues 
  * Add symbols file 
  * Correct VCS entries
  * Add debug package 

 -- Gert Wollny <gw.fossdev@gmail.com>  Fri, 18 Oct 2013 12:49:42 +0200
