=== debian/control ===
--- 
+++ 
@@ -3,16 +3,17 @@
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Gert Wollny <gw.fossdev@gmail.com>
 Build-Depends: debhelper (>= 9.0.0), cmake (>=2.8.8)
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Section: science
 Homepage: http://mia.sourceforge.net
-Vcs-Git:git://git.debian.org/debian-med/libvistaio.git
-Vcs-Browser:http://git.debian.org/?p=debian-med/libvistaio.git
+Vcs-Git: git://anonscm.debian.org/debian-med/libvistaio.git
+Vcs-Browser: http://anonscm.debian.org/?p=debian-med/libvistaio.git
 
 Package: libvistaio-dev
 Section: libdevel
 Architecture: any
-Depends: libvistaio14 (= ${binary:Version}), ${misc:Depends}
+Depends: libvistaio14 (= ${binary:Version}), 
+    ${misc:Depends}
 Description: Development files for the libvistaio library 
  Vistaio is a library that handles loading and storing of data in a 
  cross-platform manner. Its virtue is that the otherwise binary 
@@ -24,7 +25,8 @@
 Package: libvistaio14
 Section: libs
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, 
+    ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Description: Library for loading and storing various types of binary data 
  Vistaio is a library that handles loading and storing of data in a 
@@ -33,3 +35,16 @@
  about the contens of a file. It supports a variety of data types 
  like images, vector fields and graphs.
 
+Package: libvistaio14-dbg
+Section: debug
+Architecture: any
+Priority: extra
+Depends: libvistaio14 (= ${binary:Version}), 
+    ${misc:Depends}
+Description: Debug information for the libvistaio library 
+ Vistaio is a library that handles loading and storing of data in a 
+ cross-platform manner. Its virtue is that the otherwise binary 
+ files provide an ascii header that makes it easy to get information 
+ about the contens of a file. It supports a variety of data types 
+ like images, vector fields and graphs. This is package containing the 
+ debug information.
