=== debian/watch ===
version=3
http://sf.net/mia/vistaio-(.+)\.tar\.xz
