## libvistaio 1.2.19

=== CMakeLists.txt ===
--- 
+++ 
@@ -25,16 +25,15 @@
 SET(PACKAGE_NAME "vistaio")
 SET(MAJOR_VERSION 1)
 SET(MINOR_VERSION 2)
-SET(MICRO_VERSION 16)
-SET(INTERFACE_AGE 2)
-SET(BINARY_AGE    2)
+SET(MICRO_VERSION 19)
 
 INCLUDE(GNUInstallDirs)
 
-MATH(EXPR VISTAIO_CURRENT "${MICRO_VERSION} - ${INTERFACE_AGE}")
-MATH(EXPR VISTAIO_AGE     "${BINARY_AGE} - ${INTERFACE_AGE}")
-
-SET(LIBRARY_VERSION_INFO "${VISTAIO_CURRENT}.${INTERFACE_AGE}.${VISTAIO_AGE}")
+SET(VISTAIO_CURRENT 14)
+SET(VISTAIO_AGE 1)
+SET(VISTAIO_REVISION 4)
+  
+SET(LIBRARY_VERSION_INFO "${VISTAIO_CURRENT}.${VISTAIO_AGE}.${VISTAIO_REVISION}")
 
 SET(PACKAGE_VERSION "${MAJOR_VERSION}.${MINOR_VERSION}.${MICRO_VERSION}")
 SET(VERSION "${MAJOR_VERSION}.${MINOR_VERSION}")
@@ -44,14 +43,14 @@
 INCLUDE_DIRECTORIES("${CMAKE_CURRENT_SOURCE_DIR}")
 INCLUDE_DIRECTORIES("${CMAKE_CURRENT_BINARY_DIR}")
 
-ADD_DEFINITIONS(-D_SVID_SOURCE=2)
+ADD_DEFINITIONS(-D_DEFAULT_SOURCE=2)
 
 ADD_SUBDIRECTORY(vistaio)
 ADD_SUBDIRECTORY(doc)
 
 CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/libvistaio.pc.cmake ${CMAKE_CURRENT_BINARY_DIR}/libvistaio.pc)
 
-SET(DOC_FILES Authors COPYING)
+SET(DOC_FILES Authors COPYING README.md)
 
 INSTALL(FILES ${CMAKE_CURRENT_BINARY_DIR}/libvistaio.pc DESTINATION ${CMAKE_INSTALL_FULL_LIBDIR}/pkgconfig)
 INSTALL(FILES ${DOC_FILES} DESTINATION ${CMAKE_INSTALL_PREFIX}/share/doc/${VISTAIO_NAME})
