=== vistaio/CMakeLists.txt ===
--- 
+++ 
@@ -57,14 +57,17 @@
 
 
 MACRO(ADD_SIMPLE_TEST name)
-  add_executable(test-${name} ${name}.c)
+  add_executable(test-${name} test_${name}.c)
   target_link_libraries(test-${name} vistaio)
   add_test(${name} test-${name})
 ENDMACRO(ADD_SIMPLE_TEST)
 
+ADD_SIMPLE_TEST(attributes)
+ADD_SIMPLE_TEST(images)
 ADD_SIMPLE_TEST(3dfield)
 ADD_SIMPLE_TEST(2dfield)
 ADD_SIMPLE_TEST(2dspline)
+
 
 CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/vconfig.h.in ${CMAKE_CURRENT_BINARY_DIR}/vconfig.h)
