=== debian/changelog ===
libvistaio (1.2.19-4) unstable; urgency=medium

  * Team upload.
  * gcc-15.patch: new: fix ftbfs with gcc-15. (Closes: #1097286)
  * cmake-4.patch: new: fix ftbfs with cmake 4. (Closes: #1113218)
  * d/control: declare compliance to standards version 4.7.2.
  * d/watch: upgrade to version 5.
  * d/rules: fix national encoding of vista.h.

 -- Étienne Mollier <emollier@debian.org>  Fri, 12 Sep 2025 17:16:20 +0200

libvistaio (1.2.19-3) unstable; urgency=medium

  * Team upload.
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Secure URI in copyright format (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/control (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Remove trailing whitespace in debian/rules (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * No tab in license text (routine-update)
  * Re-export upstream signing key without extra signatures.
  * Install docs from debian/tmp to silence dh_missing
  * Remove debian/gbp.conf

 -- Andreas Tille <tille@debian.org>  Sun, 08 Nov 2020 08:44:42 +0100

libvistaio (1.2.19-2) unstable; urgency=medium

  * Team upload.
  * cme fix dpkg-control
  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.4
  * debian/gbp.conf: convert to new style
  * Remove -dbg package
  * hardening=+all

 -- Andreas Tille <tille@debian.org>  Thu, 05 Jul 2018 08:35:06 +0200

libvistaio (1.2.19-1) unstable; urgency=medium

  * New upstream version
  * d/docs: Replace README by README.md

 -- Gert Wollny <gw.fossdev@gmail.com>  Tue, 24 Nov 2015 16:19:18 +0100

libvistaio (1.2.18-1) unstable; urgency=medium

  * New upstream version
  * d/watch: Add source signature check
  * d/upstream: and corresponding pubkey for key check
  * d/libvistaio14.symbols: Add new symbol
  * d/control: update standards version
  * d/copyright: add a package specific short name to quell lintian
    warning

 -- Gert Wollny <gw.fossdev@gmail.com>  Wed, 04 Nov 2015 14:33:10 +0100

libvistaio (1.2.16-2) unstable; urgency=medium

  * Add multiarch tag in d/control
  * Correct VCS browser entry
  * Update standards entry

 -- Gert Wollny <gw.fossdev@gmail.com>  Fri, 01 Aug 2014 13:25:11 +0200
