=== debian/control ===
Source: libvistaio
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Gert Wollny <gw.fossdev@gmail.com>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               cmake
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/med-team/libvistaio
Vcs-Git: https://salsa.debian.org/med-team/libvistaio.git
Homepage: http://mia.sourceforge.net
Rules-Requires-Root: no

Package: libvistaio-dev
Architecture: any
Section: libdevel
Depends: libvistaio14 (= ${binary:Version}),
         ${misc:Depends}
Description: Development files for the libvistaio library
 Vistaio is a library that handles loading and storing of data in a
 cross-platform manner. Its virtue is that the otherwise binary
 files provide an ascii header that makes it easy to get information
 about the contens of a file. It supports a variety of data types
 like images, vector fields and graphs. This is the development package
 containing the header files, and pkg-config script, and man pages.

Package: libvistaio14
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Library for loading and storing various types of binary data
 Vistaio is a library that handles loading and storing of data in a
 cross-platform manner. Its virtue is that the otherwise binary
 files provide an ascii header that makes it easy to get information
 about the contens of a file. It supports a variety of data types
 like images, vector fields and graphs.
