=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

execute_after_dh_install:
	cd $(CURDIR)/debian/libvistaio-dev/usr/include/vistaio-1.2/vistaio \
	&& iconv -f ISO-8859-1 -t UTF-8 < vista.h > vista.h.converted \
	&& mv vista.h.converted vista.h

execute_after_dh_installdocs:
	find debian -name COPYING -delete
