=== debian/watch ===
Version: 5

Source: http://sf.net/mia/
Matching-Pattern: vistaio-(.+)\.tar\.xz
Pgpsigurlmangle: s/$/.asc/
